/**************************************************************************
 *   MudClient - alias.h                                                  *
 *   Copyright (C) 1997  Christophe Roux                                  *
 *   This program is free software; you can redistribute it and/or modify *
 *   it under the terms of the GNU General Public License as published by *
 *   the Free Software Foundation; either version 1, or (at your option)  *
 *   any later version.                                                   *
 *                                                                        *
 *   This program is distributed in the hope that it will be useful,      *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 *   GNU General Public License for more details.                         *
 *                                                                        *
 *   You should have received a copy of the GNU General Public License    *
 *   along with this program; if not, write to the Free Software          *
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.            *
 *                                                                        *
 **************************************************************************/

#ifndef ALIAS_H
#define ALIAS_H

#define NAME_SIZE 16
#define ACTION_SIZE 128
#define MAX_ALIAS 128


struct alias
{
  char name[NAME_SIZE];
  char action[ACTION_SIZE];
  int  nb;
};

int find_alias(char *name);
void list_alias(char *param);
void add_alias(char *param);
void load_alias(char *param);
void save_alias(char *param);
void rm_alias(char *param);
int is_alias(char *line,int sock);

#endif
